% STK_OPTIM_EHVI_GA ... [FIXME: add help text]

% Copyright Notice
%
%    Copyright (C) 2017 CentraleSupelec
%
%    Authors:  Etienne Leloup           <etienne.leloup@free.fr>
%              Guillaume Maistre-Bazin  <g.maistre.bazin@gmail.com>
%              Lucain Pouget            <lucainp@gmail.com>

% Copying Permission Statement
%
%    This file is part of STK-contrib-moo-1
%      (https://sourceforge.net/p/kriging/contrib-moo-1/).
%
%    STK-contrib-moo-1 is free software;  you can redistribute it  and/or
%    modify it  under the terms of the  GNU Lesser General Public License
%    as published by the Free Software Foundation;  either version 2.1 of
%    the License, or (at your option) any later version.
%
%    STK-contrib-moo-1 is distributed in the hope that it will be useful,
%    but  WITHOUT  ANY  WARRANTY;  without even  the implied  warranty of
%    MERCHANTABILITY or FITNESS  FOR A  PARTICULAR PURPOSE.  See the  GNU
%    Lesser General Public License for more details.
%
%    You should  have received  a copy  of the  GNU Lesser General Public
%    License along with STK-contrib-moo-1;  if not, see
%                                          <http://www.gnu.org/licenses/>.

function [x_opt, ehvi_opt] = stk_optim_ehvi_ga ...
    (options, dom, model, data, z_ref)

% Check that batch_size is 1
if isfield (options, 'batch_size') && (options.batch_size > 1)
    stk_error ('options.batch_size > 1 not supported in this function')
end

fcn = @(x) - compute_ehvi (data, x, model, z_ref);
fcnNonLinCons = @(x) (deal ([], []));

gaopt = gaoptimset (@ga);
gaopt = gaoptimset (gaopt, ...
    'Display', 'iter', 'TolFun', 0.01, 'TolCon', 1e-8);

if isfield (options, 'population_size') && ~ isempty (options.population_size)
    gaopt = gaoptimset (gaopt, 'PopulationSize', options.population_size);
end

[x_opt, ehvi_opt] = ga (fcn, size (dom, 2), [], [], [], [], ...
    dom.lower_bounds, dom.upper_bounds, fcnNonLinCons, gaopt);

end % function
